
prompt
prompt 'create table eoda.t'
declare row_count number(5);
begin
	select count(1) into row_count from user_tables where table_name = upper('t');
	if row_count = 1 then
		execute immediate 'drop table eoda.t';
	end if;
	execute immediate '
		create table eoda.t
		as
		select *
		  from all_objects
		 where 1 = 0
	';
end;
/

select * from eoda.t;
set autotrace traceonly statistics
select * from eoda.t;

prompt
prompt 'insert data into eoda.t and rollback'
begin
	insert into eoda.t select * from all_objects;
	rollback;
end;
/

select * from eoda.t;
set autotrace traceonly statistics
select * from eoda.t;


